The Yaf_Route_Simple class

- « Yaf_Router::route

- Yaf_Route_Simple::assemble »

- PHP Manual
- Yaf
- The Yaf_Route_Simple class

# The Yaf_Route_Simple class

(Yaf >=1.0.0)

## Introduction

Yaf_Route_Simple will match the query string, and find the route info.

all you need to do is tell Yaf_Route_Simple what key in the $_GET is module, what key is controller, and what key is action.

Yaf_Route_Simple::route() will always return `true`, so it is important put Yaf_Route_Simple in the front of the Route stack, otherwise all the other routes will not be called.

## Class synopsis

class Yaf_Route_Simple implements Yaf_Route_Interface {
/* Properties */
protected $controller;
protected $module;
protected $action;
/* Methods */
public __construct(string `$module_name`, string `$controller_name`, string `$action_name`)
public assemble(array `$info`, array `$query` = ?): string
public route(Yaf_Request_Abstract `$request`): bool
}

## Properties

controller

module

action

## Table of Contents

- Yaf_Route_Simple::assemble — Assemble a url
- Yaf_Route_Simple::__construct — Yaf_Route_Simple constructor
- Yaf_Route_Simple::route — Route a request